<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">

<!--Converted with LaTeX2HTML 2002-2-1 (1.70)
original version by:  Nikos Drakos, CBLU, University of Leeds
* revised and updated by:  Marcus Hennecke, Ross Moore, Herb Swan
* with significant contributions from:
  Jens Lippmann, Marek Rouchal, Martin Wilck and others -->
<HTML>
<HEAD>
<TITLE>*SUBSTRUCTURE GENERATE</TITLE>
<META NAME="description" CONTENT="*SUBSTRUCTURE GENERATE">
<META NAME="keywords" CONTENT="ccx">
<META NAME="resource-type" CONTENT="document">
<META NAME="distribution" CONTENT="global">

<META NAME="Generator" CONTENT="LaTeX2HTML v2002-2-1">
<META HTTP-EQUIV="Content-Style-Type" CONTENT="text/css">

<LINK REL="STYLESHEET" HREF="ccx.css">

<LINK REL="next" HREF="node292.html">
<LINK REL="previous" HREF="node290.html">
<LINK REL="up" HREF="node188.html">
<LINK REL="next" HREF="node292.html">
</HEAD>

<BODY >
<!--Navigation Panel-->
<A NAME="tex2html4653"
  HREF="node292.html">
<IMG WIDTH="37" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="next"
 SRC="file:/usr/share/latex2html/icons/next.png"></A> 
<A NAME="tex2html4649"
  HREF="node188.html">
<IMG WIDTH="26" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="up"
 SRC="file:/usr/share/latex2html/icons/up.png"></A> 
<A NAME="tex2html4643"
  HREF="node290.html">
<IMG WIDTH="63" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="previous"
 SRC="file:/usr/share/latex2html/icons/prev.png"></A> 
<A NAME="tex2html4651"
  HREF="node1.html">
<IMG WIDTH="65" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="contents"
 SRC="file:/usr/share/latex2html/icons/contents.png"></A>  
<BR>
<B> Next:</B> <A NAME="tex2html4654"
  HREF="node292.html">*SUBSTRUCTURE MATRIX OUTPUT</A>
<B> Up:</B> <A NAME="tex2html4650"
  HREF="node188.html">Input deck format</A>
<B> Previous:</B> <A NAME="tex2html4644"
  HREF="node290.html">*SUBMODEL</A>
 &nbsp; <B>  <A NAME="tex2html4652"
  HREF="node1.html">Contents</A></B> 
<BR>
<BR>
<!--End of Navigation Panel-->

<H2><A NAME="SECTION0008100000000000000000"></A><A NAME="substructuregenerate"></A>
<BR>
*SUBSTRUCTURE GENERATE
</H2>

<P>
Keyword type: step

<P>
This procedure is used to generate a substructure and store the stiffness
matrix using the <A HREF="node292.html#substructurematrixoutput">*SUBSTRUCTURE MATRIX
  OUTPUT</A> keyword card. No loading should be applied.

<P>
There is one optional parameter: SOLVER. It determines the
package used to solve the ensuing system of equations. The following solvers
can be selected:

<P>

<UL>
<LI>PARDISO
</LI>
<LI>SPOOLES [<A
 HREF="node378.html#Ashcraft1">3</A>,<A
 HREF="node378.html#Ashcraft2">4</A>]. 
</LI>
</UL>

<P>
Default is the first solver which has been installed of the following list:
PARDISO, SPOOLES. If none is installed, a substructure generation is not
possible.

<P><P>
<BR>

<P>
First line:

<UL>
<LI>*SUBSTRUCTURE GENERATE
</LI>
<LI>Enter SOLVER, if needed, and its value.
</LI>
</UL>

<P>
<PRE>
Example:

*SUBSTRUCTURE GENERATE,SOLVER=PARDISO
</PRE>

<P>
defines a substructure generation step and selects the PARDISO solver as
linear equation solver in the step. For this to work, the PARDISO solver must
have been linked with CalculiX.

<P>

<P><P>
<BR>
Example files: substructure.

<P>
<BR><HR>
<ADDRESS>
guido dhondt
2016-07-31
</ADDRESS>
</BODY>
</HTML>
